petsc-3.7.1 2016-05-15
Report Typos and Errors

# MATSOLVERSUPERLU_DIST

Parallel direct solver package for LU factorization Use ./configure --download-superlu_dist --download-parmetis --download-metis --download-ptscotch to have PETSc installed with SuperLU_DIST Many br

Use -pc_type lu -pc_factor_mat_solver_package superlu_dist to us this direct solver Many br

Works with AIJ matrices Many br

### Options Database Keys

| -mat_superlu_dist_r <n> | - number of rows in processor partition Many br
| -mat_superlu_dist_c <n> | - number of columns in processor partition Many br
| -mat_superlu_dist_matinput <0,1> | - matrix input mode; 0=global, 1=distributed Many br
| -mat_superlu_dist_equil | - equilibrate the matrix Many br
| -mat_superlu_dist_rowperm <LargeDiag,NATURAL> | - row permutation Many br
| -mat_superlu_dist_colperm <MMD_AT_PLUS_A,MMD_ATA,NATURAL> | - column permutation Many br
| -mat_superlu_dist_replacetinypivot | - replace tiny pivots Many br
| -mat_superlu_dist_fact <SamePattern> | - (choose one of) SamePattern SamePattern_SameRowPerm Many br
| -mat_superlu_dist_iterrefine | - use iterative refinement Many br
| -mat_superlu_dist_statprint | - print factorization information Many br

Many br

### See Also

PCLU

### See Also

PCFactorSetMatSolverPackage(), MatSolverPackage

Level:beginner
Location:src/mat/impls/aij/mpi/superlu_dist/superlu_dist.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html